Skip to main content
GET
/
api
/
Fba
/
FbaShipment
/
get
Get FBA shipment details
curl --request GET \
  --url https://api.returnshelper.com/uat/user/api/Fba/FbaShipment/get \
  --header 'x-rr-apikey: <api-key>' \
  --header 'x-rr-apitoken: <api-key>'
{
  "data": {
    "fbaShipmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "apiId": 123,
    "warehouseId": 123,
    "fbaShipmentStatusCode": "<string>",
    "removalOrderId": "<string>",
    "receivedNumber": "<string>",
    "trackingNumber": "<string>",
    "arrivalOn": "2023-11-07T05:31:56Z",
    "weight": 123,
    "weightUom": "<string>",
    "dimension1": 123,
    "dimension2": 123,
    "dimension3": 123,
    "dimensionUom": "<string>",
    "createOn": "2023-11-07T05:31:56Z"
  }
}
Fetches the full record of a single FBA shipment.

Authorizations

x-rr-apikey
string
header
required

Your API key

x-rr-apitoken
string
header
required

Your API token — keep this private

Query Parameters

fbaShipmentId
string<uuid>
required

FBA shipment identifier

Response

Success

data
object

FBA shipment details